Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86388 - MAX_INPUT should be defined correctly
Summary: MAX_INPUT should be defined correctly
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Serial device driver
Version: CVS
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jonathan Larmour
QA Contact: Jonathan Larmour
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-21 03:06 UTC by Jonathan Larmour
Modified: 2005-10-31 22:00 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-20 16:21:14 UTC


Attachments (Terms of Use)

Description Jonathan Larmour 2003-03-21 03:06:50 UTC
Description of problem:

POSIX's <limits.h> requires MAX_INPUT to be defined correctly and be at least
_POSIX_MAX_INPUT i.e. 255 chars. For the termios drivers, this means the serial
input buffer needs to be at least 255 chars - a CDL option for strict
conformance should exist which sets this.

However for the value of MAX_INPUT, it requires a call to serial_get_config with
CYG_IO_GET_CONFIG_SERIAL_BUFFER_INFO to get the buffer size and thus the value
of MAX_INPUT, so MAX_INPUT will have to be a sysconf()'d value... which means
implementing sysconf()!

Comment 1 Alex Schuilenburg 2003-06-20 16:21:14 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=86388


Note You need to log in before you can comment on or make changes to this bug.